FsmTape.c File Reference

FSM for Tape. More...

`#include "ES2_V4_app.h"`
Include dependency graph for FsmTape.c:

## Functions

_Bool | bFsmTapeInitialize (void)
| init Tape FSM More...
_Bool | bFsmTapeDispatchEvent (int32_t s32Event)
| dispatch event Tape FSM More...
_Bool | bFsmTapeIsStateChanged ()
| check if state changed More...
int32_t | s32FsmTapeGetState ()
| get FSM state More...
const char * | pcFsmTapeGetStateName ()
| get FSM state name More...
void | vEntry_sTapeOut (void)
| entry for sTapeOut More...
void | vEntry_sTapeBegin (void)
| entry for sTapeBegin More...
void | vEntry_sTapeEnd (void)
| entry for sTapeEnd More...
void | vEntry_sTapeBetween (void)
| entry for sTapeBetween More...

## Variables

sStateMachine_t | sFsmTape
static const char * | pcFsmTapestates_names [] = {"Out","Begin","End","Between", "LastStateTape"}
sStateTransitions_t | asEventsFsmTapeOut []
sStateTransitions_t | asEventsFsmTapeBegin []
sStateTransitions_t | asEventsFsmTapeEnd []
sStateTransitions_t | asEventsFsmTapeBetween []
sStateTable_t | asFsmTapeStates []

## Detailed Description

FSM for Tape.

Author
  Hendrik Schutter

Version
  V1.0

Date
  27.10.2020

This file contains the FSM for Tape.

## Function Documentation

## bFsmTapeDispatchEvent()

bFsmTapeDispatchEvent | ( | int32_t | s32Event | ) |

dispatch event Tape FSM

Sends an event to the state machine.

Parameters

  void |

Returns
  _Bool

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## bFsmTapeInitialize()

bFsmTapeInitialize | ( | void |  | ) |

init Tape FSM

Wrapper function to statemachine_init().

Parameters

  void |

Returns
  _Bool

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## bFsmTapeIsStateChanged()

bFsmTapeIsStateChanged | ( | void |  | ) |

check if state changed

Indicates if a state changed happend.

Parameters

  voids |

Returns
  _Bool

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## pcFsmTapeGetStateName()

pcFsmTapeGetStateName | ( | void |  | ) |

get FSM state name

Get the name of the current state.

Parameters

  void |

Returns
  const char* State Name

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:

## s32FsmTapeGetState()

s32FsmTapeGetState | ( | void |  | ) |

get FSM state

Returns the current state of the fsm.

Parameters

  voids |

Returns
  int32_t FSM state

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## vEntry_sTapeBegin()

vEntry_sTapeBegin | ( | void |  | ) |

entry for sTapeBegin

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020

## vEntry_sTapeBetween()

vEntry_sTapeBetween | ( | void |  | ) |

entry for sTapeBetween

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020

## vEntry_sTapeEnd()

vEntry_sTapeEnd | ( | void |  | ) |

entry for sTapeEnd

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020

## vEntry_sTapeOut()

vEntry_sTapeOut | ( | void |  | ) |

entry for sTapeOut

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020

## Variable Documentation

## asEventsFsmTapeBegin

sStateTransitions_t asEventsFsmTapeBegin[]

Initial value:
= {
{ evBegin, 0, 0, sTapeBetween },
{ evInOut, 0, 0, sTapeOut },
{ evEnd, 0, 0, sTapeEnd }
}

## asEventsFsmTapeBetween

sStateTransitions_t asEventsFsmTapeBetween[]

Initial value:
= {
{ evBegin, 0, 0, sTapeBegin },
{ evInOut, 0, 0, sTapeOut },
{ evEnd, 0, 0, sTapeEnd }
}

## asEventsFsmTapeEnd

sStateTransitions_t asEventsFsmTapeEnd[]

Initial value:
= {
{ evBegin, 0, 0, sTapeBegin },
{ evInOut, 0, 0, sTapeOut },
{ evEnd, 0, 0, sTapeBetween }
}

## asEventsFsmTapeOut

sStateTransitions_t asEventsFsmTapeOut[]

Initial value:
= {
{ evBegin, 0, 0, FAULT_STATE },
{ evInOut, 0, 0, sTapeBetween},
{ evEnd, 0, 0, FAULT_STATE }
}

## asFsmTapeStates

sStateTable_t asFsmTapeStates[]

Initial value:
= {
{ sTapeOut, vEntry_sTapeOut, 0, 0, asEventsFsmTapeOut, 0 },
{ sTapeBegin, vEntry_sTapeBegin, 0, 0, asEventsFsmTapeBegin, 0 },
{ sTapeEnd, vEntry_sTapeEnd, 0, 0, asEventsFsmTapeEnd, 0 },
{ sTapeBetween, vEntry_sTapeBetween, 0, 0, asEventsFsmTapeBetween, 0 }
}

## pcFsmTapestates_names

const char* pcFsmTapestates_names[] = {"Out","Begin","End","Between", "LastStateTape"}

static

## sFsmTape

sStateMachine_t sFsmTape

asEventsFsmTapeEnd
sStateTransitions_t asEventsFsmTapeEnd[]
Definition: FsmTape.c:28
vEntry_sTapeEnd
void vEntry_sTapeEnd(void)
entry for sTapeEnd
Definition: FsmTape.c:187
evBegin
@ evBegin
Definition: FsmTape.h:23
sTapeBegin
@ sTapeBegin
Definition: FsmTape.h:37
FAULT_STATE
@ FAULT_STATE
Definition: FsmFramework.h:76
sTapeBetween
@ sTapeBetween
Definition: FsmTape.h:39
sTapeOut
@ sTapeOut
Definition: FsmTape.h:36
evEnd
@ evEnd
Definition: FsmTape.h:25
asEventsFsmTapeBetween
sStateTransitions_t asEventsFsmTapeBetween[]
Definition: FsmTape.c:34
evInOut
@ evInOut
Definition: FsmTape.h:24
asEventsFsmTapeBegin
sStateTransitions_t asEventsFsmTapeBegin[]
Definition: FsmTape.c:22
sTapeEnd
@ sTapeEnd
Definition: FsmTape.h:38
vEntry_sTapeBegin
void vEntry_sTapeBegin(void)
entry for sTapeBegin
Definition: FsmTape.c:156
vEntry_sTapeOut
void vEntry_sTapeOut(void)
entry for sTapeOut
Definition: FsmTape.c:125
vEntry_sTapeBetween
void vEntry_sTapeBetween(void)
entry for sTapeBetween
Definition: FsmTape.c:218
asEventsFsmTapeOut
sStateTransitions_t asEventsFsmTapeOut[]
Definition: FsmTape.c:16